Create installments payment

Create a new installments payment.

This endpoint generates the Authorization created event.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request object for POST v1/payments/installments (Installments payment).

string
length between 36 and 50
^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}$

Unique tracking ID of the installments operation. If you don't provide one, the Pismo platform generates it randomly.

integer
required

Unique identifier of an account in the Pismo platform.

float
required

Total amount to be charged.

string
required
^[0-9]{6}$

Unique 6-character processing code that identifies the debit operation.

string

Optional text that describes the created operation. The platform supports only letters and numbers in this field and removes any special characters or emojis.

boolean

When set to true, the platform skips account balance validation and forces the operation. By default, the value is false and the platform performs account balance validation.

boolean

When set to true, the platform skips account status validation and forces the operation. By default, the value is false and the platform performs account status validation.

financed_charge
object

Informative optional object that allows financed charges in the principal_amount to be described and posted only in accounting. All fields within the financed charge object must have the suffix _amount. For example, iof_amount, iva_amount, other_tax_amount. In the name_amount field example, name indicates a dynamic value. To define a new financed charge type field, you must contact a Pismo representative. When the financed_charge object is used, the tax_amout field cannot be used simultaneously, since this object is used only for cases of charges financed in the principal_amount.

metadata
object

This optional user-defined key-value object field can be used with external operations to provide additional context or supplementary custom information for the operation.

The Pismo platform does not perform any validation or processing on this field but passes this object to the acquirer in transactions involving calls to the acquirer and sends it in the events related to the stream of data produced at the end of the request.

Note: This field must not be used to send Personally Identifiable Information (PII), Payment Card Industry (PCI) data, or any sensitive/regulated information. Metadata fields are intended for operational, non-sensitive data only. For sensitive data, use the specific parameters designed for that purpose. For more information, refer to Get started with Pismo APIs.

date
([0-9]{4})-(?:[0-9]{2})-([0-9]{2})

Date that the first installment should be posted on the invoice. Format = YYYY-MM-DD.

installments
array of objects
required

Non-empty collection of installments to be used to implement the agreement.

installments*
original_authorization
object

This optional field identifies the original authorization. When this field is provided, all your fields needs be filled.

Headers
string
required
length between 39 and 39
TN\-[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}

Unique Org ID.

string

Optional account identifier.

string

If set to true, this will prevent the generation of timeline events in the customer timeline.

string

Related correlation identifier. If none is provided, a random one is generated.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json